Redirect

Browser extension integration endpoints

Browser redirect endpoint

get
/api/redirect

Create or find a contact from browser extension data and redirect to the webapp. If the user is not authenticated, redirects to login with a return URL.

Query parameters
instagramstringOptional

Instagram username

Example: johndoe
linkedinstringOptional

LinkedIn profile ID

Example: john-doe-123456
facebookstringOptional

Facebook profile ID

Example: john.doe.123
firstNamestringOptional

First name

Example: John
middleNamestringOptional

Middle name

Example: Michael
lastNamestringOptional

Last name

Example: Doe
profileImageUrlstring · uriOptional

URL of profile image

Example: https://example.com/photo.jpg
titlestringOptional

Job title or position

Example: Software Engineer
placestringOptional

Location or workplace

Example: San Francisco, CA
Responses
chevron-right
302

Redirect to contact page or login

get
/api/redirect

No content

Create or find contact (API)

post
/api/redirect

Create or find a contact from browser extension data via API. Returns the contact ID and whether it already existed.

Authorizations
sb-access-tokenstringRequired

Supabase session cookie for authentication

Body
instagramstringOptional

Instagram username

Example: johndoe
linkedinstringOptional

LinkedIn profile ID

Example: john-doe-123456
facebookstringOptional

Facebook profile ID

Example: john.doe.123
firstNamestringOptional

First name

Example: John
middleNamestringOptional

Middle name

Example: Michael
lastNamestringOptional

Last name

Example: Doe
profileImageUrlstring · uriOptional

URL of profile image

Example: https://example.com/photo.jpg
titlestringOptional

Job title or position

Example: Software Engineer
placestringOptional

Location or workplace

Example: San Francisco, CA
Responses
post
/api/redirect

Last updated